Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
time-tracking
/
time-entries
/
{timeEntryId}
Get time entry
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "service": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "com.layerfi.routers.ApiService",
      "external_id": "<string>",
      "account_identifier": {
        "type": "AccountId",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "ledger_account": {
        "type": "Single_Chart_Account",
        "id": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "name": "Current Assets",
        "account_number": "4000",
        "stable_name": {
          "type": "StableName",
          "stable_name": "CURRENT_ASSETS"
        },
        "account_type": {
          "display_name": "Asset"
        },
        "account_subtype": {
          "display_name": "Current Assets"
        }
      },
      "billable_rate_per_minute_amount": 123,
      "memo": "<string>",
      "metadata": {},
      "deleted_at": "2023-11-07T05:31:56Z"
    },
    "date": "2023-12-25",
    "duration_minutes": 123,
    "billable": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "type": "com.layerfi.routers.ApiTimeEntry",
    "external_id": "<string>",
    "customer": {
      "type": "CustomerData",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "31415926535",
      "individual_name": "<string>",
      "company_name": "<string>",
      "email": "<string>",
      "mobile_phone": "<string>",
      "office_phone": "<string>",
      "address_string": "<string>",
      "memo": "<string>",
      "status": "ACTIVE",
      "transaction_tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "ExampleTagKey",
          "value": "ExampleTagValue",
          "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "dimension_display_name": "<string>",
          "value_display_name": "<string>",
          "archived_at": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "description": "<string>",
    "invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "memo": "<string>",
    "metadata": {},
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

timeEntryId
string<uuid>
required

The UUID of the time entry.

Query Parameters

allow_deleted
boolean
default:false

Whether to return the time entry if it is deleted.

Response

Success.

data
object
required